Bug 58088 - (NET 3C59X)3c59x driver buggy with 3c905B Ethernet card.
(NET 3C59X)3c59x driver buggy with 3c905B Ethernet card.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-08 04:19 EST by Need Real Name
Modified: 2013-07-02 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-08 04:19:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Not sure if this is a kernel-related problem or if it is how the default kernel
is set up, but when installing a fresh Version of RH 7.1-7.2 or using kernels
after 2.2.17 Red Hat uses a 3c59x driver for the 3c905b card.  It installs
properly and seems to work, but the packets are garbled, rendering the card
useless.  Downgrading the kernel to RH 7.0 2.2.16 fixes the problem. I have a
solution for 2.4 kernels as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Red Hat linux on an FIC FD-11 with a Pentium 3 800 processor and 3com
3c905b NIC.
2.Let kudzu do its thing.
3.Sit back and wonder.
	

Actual Results:  It is impossible to even ping another computer on the network
when properly configured.  No error messages are reported, except "host
unreachable" when you ping. It actually sends packets, but they are junk.

Expected Results:  The card should be able to communicate with other computers
on the network.

Additional info:

As stated before, Downgrading to a red hat 2.2.16 kernel seems to fix the
problem... Seems this problem arose around 2.2.18 or so  I have seen this in
Mandrake as well, so I do not believe it is a kudzu problem. Swapping/Removing
changing to other cards yields no change in its errant behavior.  

To fix the problem on RH 7.2 with the stock 2.4 kernel, go to
http://support.3com.com/infodeli/tools/nic/linuxdownloads.htm.  Download the
appropriate driver for your card and kernel and closest os type. (if unsure
exactly type cat /proc/pci and look for your card type). I used
3c90x-102.tar.gz. which said it was for 7.1 but it obviously works for 7.2 as
well... You just have to compile the module is all. 

Follow the instructions EXPLICITLY to compile and install the module (you will
need rpms 'kernel-headers' and 'kernel-source' plus the standard compillers
installed to do this). 

Then edit the line in your /etc/modules.conf file from 'alias eth0 3c59x' to
'alias eth0 3c90x' (no quotes).

Reboot and surprise surprise, the network works...spooky! 

This should be fixed.  If this driver is not part of the standard kernel tree it
should be added anyways, or if it is a bug in the 3c59x driver it needs fixing
as there are a lot of us guys with these cards out there.  Better yet, this
should be forwarded to the kernel guys, as it seems to affect multiple
distributions, and there is a high likelihood it is kernel-level specific.

This was the one linux mystery that has haunted me for about four months, so I
hope it will be helpful to others, as I have not seen a similar listing.
Comment 1 Jerome Walter 2004-03-31 19:57:07 EST
Same problem for kernel 2.6-SELinux in Fedora Core 2 test2.

No solution have been experienced, due to impossibility to install
kernel-source (this manager s%x). Will recompile.

By the way, kernel-2.6.1 in Knoppix 3.4 works great for this card, as
any previous debian kernel or self-compiled kernel.
Comment 2 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.